Bug 304785 - Démon de KDE (kdeinit4) crashed while trying viewing photos on mobile (bluetooth)
Summary: Démon de KDE (kdeinit4) crashed while trying viewing photos on mobile (blueto...
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: bluetooth-daemon (show other bugs)
Version: 4.8.4
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 11:00 UTC by Lewkow Brigitte
Modified: 2013-05-29 22:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (10.72 KB, text/plain)
2013-05-29 22:04 UTC, Valentin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lewkow Brigitte 2012-08-08 11:00:29 UTC
Application: kded4 ($Id$)
KDE Platform Version: 4.8.4 (4.8.4)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-27-generic x86_64
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

I connected my mobile phone with bluetooth. I collapsed folders (navigation in my phone's items) and wanted to launch photos then crash!

-- Backtrace:
Application: Démon de KDE (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7b339ef780 (LWP 2093))]

Thread 4 (Thread 0x7f7b159cc700 (LWP 2137)):
#0  0x00007f7b2ebfdf69 in __pthread_mutex_lock (mutex=0xbcdb30) at pthread_mutex_lock.c:92
#1  0x00007f7b2e3605a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2e324914 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b2e324faa in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b2e32549a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7b15cb5406 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007f7b2e3469e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f7b2ebfbe9a in start_thread (arg=0x7f7b159cc700) at pthread_create.c:308
#8  0x00007f7b3121a4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f7b14fbf700 (LWP 2273)):
#0  0x00007f7b2e360325 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b2e360599 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2e32501b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b2e325164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b3265d426 in QEventDispatcherGlib::processEvents (this=0x7f7b080008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f7b3262cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f7b3262ced7 in QEventLoop::exec (this=0x7f7b14fbedd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f7b3252bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f7b3260c9ff in QInotifyFileSystemWatcherEngine::run (this=0xbae660) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f7b3252efcb in QThreadPrivate::start (arg=0xbae660) at thread/qthread_unix.cpp:298
#10 0x00007f7b2ebfbe9a in start_thread (arg=0x7f7b14fbf700) at pthread_create.c:308
#11 0x00007f7b3121a4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f7b035da700 (LWP 5393)):
#0  0x00007f7b3120eb03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f7b2e325036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2e325164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b3265d426 in QEventDispatcherGlib::processEvents (this=0x7f7af40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f7b3262cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7b3262ced7 in QEventLoop::exec (this=0x7f7b035d9e00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7b3252bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f7b3252efcb in QThreadPrivate::start (arg=0xcaa9d0) at thread/qthread_unix.cpp:298
#8  0x00007f7b2ebfbe9a in start_thread (arg=0x7f7b035da700) at pthread_create.c:308
#9  0x00007f7b3121a4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f7b339ef780 (LWP 2093)):
[KCrash Handler]
#6  Private (other=..., this=0x7fff3284a410) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:356
#7  QVariant::QVariant (this=0x7fff3284a410, p=...) at kernel/qvariant.cpp:1411
#8  0x00007f7b2fbd5838 in QDBusPendingReplyData::argumentAt (this=0x7fff3284a4c0, index=0) at qdbuspendingreply.cpp:270
#9  0x00007f7b1872a255 in ObexFtpDaemon::listDir(QString, QString) () from /usr/lib/kde4/kded_obexftpdaemon.so
#10 0x00007f7b18723c51 in ObexFtpDaemon::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/kde4/kded_obexftpdaemon.so
#11 0x00007f7b2fb9937b in QDBusConnectionPrivate::deliverCall (this=0x90ec00, object=0xa5e410, msg=..., metaTypes=..., slotIdx=19) at qdbusintegrator.cpp:947
#12 0x00007f7b2fb9a4dd in QDBusConnectionPrivate::activateCall (this=0x90ec00, object=0xa5e410, flags=241, msg=...) at qdbusintegrator.cpp:857
#13 0x00007f7b2fb9abd7 in QDBusConnectionPrivate::activateObject (this=0x90ec00, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1443
#14 0x00007f7b2fb9af2b in QDBusActivateObjectEvent::placeMetaCall (this=0xce20a0) at qdbusintegrator.cpp:1537
#15 0x00007f7b32647446 in QObject::event (this=0xa5e410, e=<optimized out>) at kernel/qobject.cpp:1195
#16 0x00007f7b319b0894 in notify_helper (e=0xce20a0, receiver=0xa5e410, this=0x920690) at kernel/qapplication.cpp:4559
#17 QApplicationPrivate::notify_helper (this=0x920690, receiver=0xa5e410, e=0xce20a0) at kernel/qapplication.cpp:4531
#18 0x00007f7b319b5713 in QApplication::notify (this=0x7fff3284b500, receiver=0xa5e410, e=0xce20a0) at kernel/qapplication.cpp:4420
#19 0x00007f7b333c89e6 in KApplication::notify (this=0x7fff3284b500, receiver=0xa5e410, event=0xce20a0) at ../../kdeui/kernel/kapplication.cpp:311
#20 0x00007f7b3262de9c in QCoreApplication::notifyInternal (this=0x7fff3284b500, receiver=0xa5e410, event=0xce20a0) at kernel/qcoreapplication.cpp:876
#21 0x00007f7b32631c6a in sendEvent (event=0xce20a0, receiver=0xa5e410) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#22 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x87e2b0) at kernel/qcoreapplication.cpp:1500
#23 0x00007f7b3265cf93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#24 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#25 0x00007f7b2e324d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007f7b2e3250a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f7b2e325164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f7b3265d3bf in QEventDispatcherGlib::processEvents (this=0x8807d0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#29 0x00007f7b31a58d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#30 0x00007f7b3262cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#31 0x00007f7b3262ced7 in QEventLoop::exec (this=0x7fff3284b490, flags=...) at kernel/qeventloop.cpp:204
#32 0x00007f7b32631f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#33 0x00007f7b1eeb8e55 in kdemain (argc=1, argv=0x8fcdf0) at ../../kded/kded.cpp:924
#34 0x00000000004086a4 in launch (argc=1, _name=0x40b497 "kded4", args=<optimized out>, cwd=0x0, envc=<optimized out>, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x40b31e "0") at ../../kinit/kinit.cpp:746
#35 0x0000000000405a59 in main (argc=4, argv=0x7fff00000001, envp=0x7fff3284c690) at ../../kinit/kinit.cpp:1861

Possible duplicates by query: bug 297785, bug 295697.

Reported using DrKonqi
Comment 1 Alex Fiestas 2012-10-08 05:56:27 UTC
Hi, can you tell me which bluedevil version were you using? you can check it in your distribution packaging system.

Thanks !
Comment 2 Lewkow Brigitte 2012-10-08 14:16:22 UTC
yes, it is actually bluedevil (1.2.2-0ubuntu1) precise.
Comment 3 Lewkow Brigitte 2012-10-08 14:19:32 UTC
yes, it is actually bluedevil (1.2.2-0ubuntu1) precise.(In reply to comment #1)
> Hi, can you tell me which bluedevil version were you using? you can check it
> in your distribution packaging system.
> 
> Thanks !

Yes it is bluedevil (1.2.2-0ubuntu1) precise
Comment 4 Alex Fiestas 2012-12-30 16:49:45 UTC
Git commit dff189dd5de34e8c960f6d16eb80abf2fb2da853 by Alex Fiestas.
Committed on 30/12/2012 at 17:32.
Pushed by afiestas into branch '1.3'.

Check if the reply is an error before using the value.

M  +9    -1    src/daemon/obexftpkded/ObexFtpDaemon.cpp

http://commits.kde.org/bluedevil/dff189dd5de34e8c960f6d16eb80abf2fb2da853
Comment 5 Valentin 2013-05-29 22:04:11 UTC
Created attachment 80170 [details]
New crash information added by DrKonqi

kded4 (4.10.3) on KDE Platform 4.10.3 using Qt 4.8.3

- What I was doing when the application crashed:
Crash when trying to view files on device.

-- Backtrace (Reduced):
#6  Private (other=..., this=0x7fff91e86bc0) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:356
#7  QVariant::QVariant (this=0x7fff91e86bc0, p=...) at kernel/qvariant.cpp:1423
#8  0x00007f30ad7405d5 in QDBusPendingReplyData::argumentAt (this=0x7fff91e86b50, index=0) at qdbuspendingreply.cpp:270
#9  0x00007f309616b9d0 in ObexFtpDaemon::listDir(QString, QString) () from /usr/lib/kde4/kded_obexftpdaemon.so
[...]
#11 0x00007f3096167edb in ObexFtpDaemon::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/kde4/kded_obexftpdaemon.so